Subject: Re: [PATCH] diff: add --no-indicators option

From: Harald Nordgren <[email-masked]>
Date: Fri, 19 Dec 2025 12:48:14 +0100

Hi Collin!

Surely, "git diff --output-indicator-old=' ' --output-indicator-new=' '"
exists for a reason, to allow users to customize the workflow for
themselves. So this is adding a better short-hand instead of that, which
feels a bit clunky. Sed workaround would likely work, but nicer to have it
native inside git instead?

I use Git from the CLI 99.99% of the time, and find myself often copy-
pasting to recover some code from and old commit, so then this helps to
save me pasting in and the manually removing the +/- signs. Not a huge
deal, but makes the awesome Git CLI even better.

Harald